import { mount } from '@vue/test-utils';
import EssentialLink from '../EssentialLink.vue'; // Adjust path as necessary

describe('EssentialLink', () => {
  it('renders correctly', () => {
    const wrapper = mount(EssentialLink, {
      props: {
        title: 'Test Title',
        link: 'test-link',
      },
    });
    expect(wrapper.text()).toContain('Test Title');
  });
});
