import type { Ref, InjectionKey } from 'vue';

export type TabId = string | number;

export interface TabsContext {
  activeTabId: Ref<TabId | null>;
  selectTab: (id: TabId) => void;
}

export const TabsProviderKey: InjectionKey<TabsContext> = Symbol('VTabs');
